> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update An Email Sender



## OpenAPI

````yaml /openapi.json post /v1/email-senders/{email_sender_id}
openapi: 3.0.3
info:
  contact:
    name: Stuut Support
    url: https://stuut.ai
    email: devs@stuut.co
  termsOfService: https://stuut.ai/terms-and-conditions
  title: Stuut API
  version: 0.1.0
servers:
  - url: http://api.stuut.ai
security: []
tags:
  - name: Analytics
  - name: Bank Accounts
  - name: Bank Statements
  - name: Bank Transactions
  - name: Call Agents
  - name: Call Agent Scenarios
  - name: Calls
  - name: Contact Suggestions
  - name: demo
  - name: Email Senders
  - name: Email Templates
  - name: Email Template Folders
  - name: Email Threads
  - name: Emails
  - name: Files
  - name: Invoices
  - name: Notes
  - name: Organizations
  - name: Outreach Workflows
  - name: Partners
  - name: Partner Contacts
  - name: Payments
  - name: Phone Numbers
  - name: Plaid
  - name: Profile
  - name: Pusher
  - name: Remittances
  - name: Tags
  - name: Tasks
  - name: User Invites
  - name: Users
paths:
  /v1/email-senders/{email_sender_id}:
    post:
      tags:
        - Email Senders
      summary: Update An Email Sender
      operationId: email-sender.update
      parameters:
        - in: path
          name: email_sender_id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateEmailSender'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailSender'
          description: Successful response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StuutErrorHTTP'
          description: Authentication error
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StuutErrorHTTP'
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
      security:
        - BearerAuth: []
components:
  schemas:
    UpdateEmailSender:
      type: object
      properties:
        is_shared:
          type: boolean
        signature_html:
          type: string
          nullable: true
    EmailSender:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        created_at:
          type: string
          format: date-time
        email:
          type: string
          maxLength: 255
          description: The account's email.
        expired_at:
          type: string
          format: date-time
          description: The time the email sender grant expired.
          nullable: true
        is_nylas_connection:
          type: boolean
        is_nylas_grant_expired:
          type: boolean
          description: Whether the Nylas grant for this email sender has expired
        is_shared:
          type: boolean
          description: >-
            Whether this email sender should be shared with the entire
            organization
        modified_at:
          type: string
          format: date-time
          nullable: true
        name:
          type: string
          description: Email owner's name.
          nullable: true
        object:
          type: string
        provider:
          type: string
          nullable: true
        reply_to:
          type: string
          maxLength: 255
          description: This account's default reply-to
        reply_to_name:
          type: string
          description: This account's default reply-to
          nullable: true
        signature_html:
          type: string
          description: Email signature html.
          nullable: true
        user_id:
          type: string
          maxLength: 32
      required:
        - email
        - object
        - reply_to
        - user_id
    StuutErrorHTTP:
      type: object
      properties:
        data:
          type: object
          additionalProperties: {}
        error:
          type: string
        message:
          type: string
      required:
        - data
        - error
        - message
    ValidationError:
      properties:
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
        message:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````